Bug 1952 - Rosa window decoration has ugly menu/application icon
: Rosa window decoration has ugly menu/application icon
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 17:08 MSD by Andrey Bondrov
Modified: 2013-05-07 17:29 MSD (History)
4 users (show)

See Also:
RPM Package: rosa-elementary-theme
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
no header - no buttons (310.38 KB, image/png)
2013-05-06 15:25 MSD, Vladimir Potapov
Details
Example screen (160.19 KB, image/png)
2013-05-07 15:09 MSD, Denis Koryavov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-04-22 17:08:19 MSD
Rosa window decoration has ugly menu/application icon. It overlaps top window border. It's fine for min/max/close icons but not for menu/application icon.

The solution is to edit /usr/share/apps/aurorae/themes/rosa/rosarc file and add

ButtonWidthMenu=0

so menu/application icon will never be displayed even if enabled.
Comment 1 Andrey Bondrov 2013-04-24 17:22:29 MSD
Fixed. But not in repositories yet. So closing the bug.
Comment 2 Anton Sterkhov 2013-04-25 22:41:40 MSD
Advisory: "Added new buttons to aurorae theme, fixed bug with menu icons in aurorae theme."

Build lists:
x86: https://abf.rosalinux.ru/build_lists/1075443
x64: https://abf.rosalinux.ru/build_lists/1075444
Comment 3 Vladimir Potapov 2013-05-06 15:25:03 MSD
Created attachment 1345 [details]
no header - no buttons

After the update I don't see any header for my windows.
Comment 4 Denis Koryavov 2013-05-07 12:37:50 MSD
Fixed. Try these:

Advisory:
"Added new buttons to aurorae theme, fixed bug with menu icons in aurorae theme."

Build lists:
https://abf.rosalinux.ru/build_lists/1077606
https://abf.rosalinux.ru/build_lists/1077607
Comment 5 Vladimir Potapov 2013-05-07 14:52:35 MSD
Hm. Header present now. But application icon don't show.... 
Please, attach screenshot with new header design!
Comment 6 Denis Koryavov 2013-05-07 15:09:47 MSD
Created attachment 1346 [details]
Example screen

Yes, application icon should not be visible. Here the screen.
Comment 7 Vladimir Potapov 2013-05-07 15:26:29 MSD
How to check "bug with menu icons"?
Comment 8 Denis Koryavov 2013-05-07 15:34:39 MSD
By "menu icon" we meant menu/application icon that is not visible now.
Comment 9 Vladimir Potapov 2013-05-07 15:36:31 MSD
I.e. new Advisory is "Added new buttons to aurorae theme"?
Comment 10 Denis Koryavov 2013-05-07 16:15:55 MSD
Well, yes.
Comment 11 Vladimir Potapov 2013-05-07 17:25:40 MSD
rosa-elementary-theme-2.5.5-3-rosa2012.1
************************ Advisory ************************
Added new buttons to aurorae theme
**********************************************************
QA Verified